Bug 245350 - mock doesn't support Fedora CVS's make mockbuild
mock doesn't support Fedora CVS's make mockbuild
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-22 11:40 EDT by Ralf Corsepius
Modified: 2013-01-09 20:39 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:00:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2007-06-22 11:40:41 EDT
Description of problem:
Mock doesn't support "make mockbuild" in a Fedora CVS "devel" checkouts

Version-Release number of selected component (if applicable):
mock-0.7.1-1.fc7

Steps to Reproduce:
1. check out the "devel" version of your favorite package from Fedora's CVS.
2. Issue "make mockbuild"
  
Actual results:
# make mockbuild
...
mock  -r fedora-8-i386-core.cfg ...
...
Could not find config file /etc/mock/fedora-8-i386-core.cfg for chroot
fedora-8-i386-core.cfg
make: *** [mockbuild] Error 1


Expected results:
Function.

Additional info:
IMO, you have 2 joices: Either add fedora-8-*.cfgs to /etc/mock or adjust
Makefile.common to the contents of /etc/mock/* (ie. use devel)
Comment 1 Jesse Keating 2007-07-06 12:56:41 EDT
Fixed Makefile.common to use -devel configs if called from the devel/ branch.
Comment 2 Karel Volný 2008-07-30 09:37:16 EDT
reopening, although it is supposed to be fixed for over a year, it happens to me
too ...

[kavol@dhcp-lab-227 qmmp]$ cvs up
cvs update: Updating .
cvs update: Updating F-7
cvs update: Updating F-8
cvs update: Updating F-9
cvs update: Updating common
cvs update: Updating devel
[kavol@dhcp-lab-227 qmmp]$ cd devel
[kavol@dhcp-lab-227 devel]$ make mockbuild
rpmbuild --define "_sourcedir /home/kavol/Projects/Fedora/qmmp/devel" --define
"_specdir /home/kavol/Projects/Fedora/qmmp/devel" --define "_builddir
/home/kavol/Projects/Fedora/qmmp/devel" --define
"_srcrpmdir/home/kavol/Projects/Fedora/qmmp/devel" --define "_rpmdir
/home/kavol/Projects/Fedora/qmmp/devel" --define "dist .fc10" --define "fedora
10" --define "fc10 1" --nodeps -bs qmmp.spec
Zapsáno: /home/kavol/Projects/Fedora/qmmp/devel/qmmp-0.2.0-1.fc10.src.rpm
mock  -r fedora-10-x86_64 --
/home/kavol/Projects/Fedora/qmmp/devel/qmmp-0.2.0-1.fc10.src.rpm
ERROR: Could not find required config file: /etc/mock/fedora-10-x86_64.cfg
make: *** [mockbuild] Error 1


(symlinking /etc/fedora-10-x86_64.cfg to /etc/fedora-rawhide-x86_64.cfg resolves
the problem)
Comment 3 Bug Zapper 2009-06-09 18:40:26 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 14:00:41 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.